import { jsx } from "react/jsx-runtime";
import { CoffeeBeanIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CoffeeBean = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "CoffeeBean", ...props, children: /* @__PURE__ */ jsx(CoffeeBeanIcon, { weight: variant }) });
  }
);
CoffeeBean.displayName = "CoffeeBean";
Object.assign(CoffeeBean, { isGdsIcon: true });
export {
  CoffeeBean
};
